// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#pragma once
#include "CoreMinimal.h"
#include "IDetailCustomization.h"
#include "Input/Reply.h"

class FSimplygonVisualizerDetailsCustomization : public IDetailCustomization
{
public:
	static TSharedRef<IDetailCustomization> MakeInstance();

	// IDetailCustomization interface
	virtual void CustomizeDetails(IDetailLayoutBuilder& DetailLayout) override;
	
	static FReply HandleUpdate(IDetailLayoutBuilder* DetailBuilder);
	// End of IDetailCustomization interface

protected:
	FSimplygonVisualizerDetailsCustomization();
};
